﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComboCrashTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Alex;Jen;Steve;Eric;Liz;Lisa;Rob;Mike".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            
            for(int i=0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name =  names[i],
                    Number = r.Next(1000).ToString(),
                    IsSelected  = (r.Next(10) % 2 == 0)
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public string Number { get; set; }
        public bool IsSelected { get; set; }
    }
}
